CREATE TABLE ap_inv_selection_criteria_all (
    CHECKRUN_NAME                    VARCHAR2(1020)    NOT NULL,
    INV_AWT_EXISTS_FLAG              VARCHAR2(4)   ,
    CHECK_DATE                       DATE              NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)     NOT NULL,
    PERIOD_NAME                      VARCHAR2(60)  ,
    PAY_THRU_DATE                    DATE          ,
    HI_PAYMENT_PRIORITY              NUMBER(2, 0)  ,
    LOW_PAYMENT_PRIORITY             NUMBER(2, 0)  ,
    PAY_ONLY_WHEN_DUE_FLAG           VARCHAR2(4)   ,
    STATUS                           VARCHAR2(100) ,
    EXCHANGE_RATE                    NUMBER        ,
    EXCHANGE_RATE_TYPE               VARCHAR2(120) ,
    EXCHANGE_DATE                    DATE          ,
    LAST_UPDATE_LOGIN                VARCHAR2(128) ,
    CREATION_DATE                    TIMESTAMP(6)      NOT NULL,
    CREATED_BY                       VARCHAR2(256)     NOT NULL,
    ATTRIBUTE_CATEGORY               VARCHAR2(600) ,
    ATTRIBUTE1                       VARCHAR2(600) ,
    ATTRIBUTE2                       VARCHAR2(600) ,
    ATTRIBUTE3                       VARCHAR2(600) ,
    ATTRIBUTE4                       VARCHAR2(600) ,
    ATTRIBUTE5                       VARCHAR2(600) ,
    ATTRIBUTE6                       VARCHAR2(600) ,
    ATTRIBUTE7                       VARCHAR2(600) ,
    ATTRIBUTE8                       VARCHAR2(600) ,
    ATTRIBUTE9                       VARCHAR2(600) ,
    ATTRIBUTE10                      VARCHAR2(600) ,
    ATTRIBUTE11                      VARCHAR2(600) ,
    ATTRIBUTE12                      VARCHAR2(600) ,
    ATTRIBUTE13                      VARCHAR2(600) ,
    ATTRIBUTE14                      VARCHAR2(600) ,
    ATTRIBUTE15                      VARCHAR2(600) ,
    FIRST_VOUCHER_NUMBER             NUMBER(18, 0) ,
    ZERO_INVOICES_ALLOWED            VARCHAR2(4)   ,
    ORG_ID                           NUMBER(18, 0) ,
    CHECKRUN_ID                      NUMBER(18, 0) ,
    TRANSFER_PRIORITY                VARCHAR2(100) ,
    INVOICE_BATCH_ID                 NUMBER(18, 0) ,
    VENDOR_ID                        NUMBER(18, 0) ,
    PROGRAM_APPLICATION_ID           NUMBER(18, 0) ,
    PROGRAM_ID                       NUMBER(18, 0) ,
    PROGRAM_UPDATE_DATE              DATE          ,
    REQUEST_ID                       NUMBER(18, 0) ,
    CE_BANK_ACCT_USE_ID              NUMBER(18, 0) ,
    TEMPLATE_ID                      NUMBER(18, 0) ,
    PAY_FROM_DATE                    DATE          ,
    VENDOR_TYPE_LOOKUP_CODE          VARCHAR2(120) ,
    PAYMENT_PROFILE_ID               NUMBER(18, 0) ,
    INV_EXCHANGE_RATE_TYPE           VARCHAR2(120) ,
    PAYABLES_REVIEW_SETTINGS         VARCHAR2(4)   ,
    CALC_AWT_INT_FLAG                VARCHAR2(4)   ,
    PAYMENTS_REVIEW_SETTINGS         VARCHAR2(4)   ,
    DOCUMENT_REJECTION_LEVEL_CODE    VARCHAR2(120) ,
    PAYMENT_REJECTION_LEVEL_CODE     VARCHAR2(120) ,
    CREATE_INSTRS_FLAG               VARCHAR2(4)   ,
    PAY_GROUP_OPTION                 VARCHAR2(40)  ,
    CURRENCY_GROUP_OPTION            VARCHAR2(40)  ,
    LE_GROUP_OPTION                  VARCHAR2(40)  ,
    OU_GROUP_OPTION                  VARCHAR2(40)  ,
    PAYMENT_METHOD_CODE              VARCHAR2(120) ,
    BANK_CHARGE_BEARER               VARCHAR2(120) ,
    SETTLEMENT_PRIORITY              VARCHAR2(120) ,
    NEXT_VOUCHER_NUMBER              NUMBER(18, 0) ,
    PARTY_ID                         NUMBER(18, 0) ,
    PAYMENT_DOCUMENT_ID              NUMBER(18, 0) ,
    ZERO_AMOUNTS_ALLOWED             VARCHAR2(4)   ,
    BANK_ACCOUNT_ID                  NUMBER(18, 0) ,
    TEMPLATE_FLAG                    VARCHAR2(4)   ,
    OBJECT_VERSION_NUMBER            NUMBER(9, 0)      NOT NULL,
    JOB_DEFINITION_NAME              VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE           VARCHAR2(3600),
    X_CURR_RATE_TYPE                 VARCHAR2(120) ,
    FIRST_APPROVER_ID                NUMBER(18, 0) ,
    NOTIFICATION_MESSAGE_ID          NUMBER(18, 0) ,
    BIP_JOB_ID                       NUMBER(18, 0) ,
    ACCELERATED_INVOICES_CODE        VARCHAR2(120) ,
    SOURCE_GROUP_OPTION              VARCHAR2(40)  ,
    THRESHOLD_OPTION_CODE            VARCHAR2(120) ,
    THRESHOLD_AMOUNT                 NUMBER        ,
    TRANSACTION_CALENDAR_ID          NUMBER(18, 0) ,
    PAYMENT_MODE_CODE                VARCHAR2(120) ,
    PAYMENT_INSTRUMENT_ID            NUMBER(18, 0) ,
    PMT_TO_BANK_RATE_TYPE            VARCHAR2(120) ,
    CHECKRUN_NAME                    VARCHAR2(1020)    NOT NULL,
    INV_AWT_EXISTS_FLAG              VARCHAR2(4)   ,
    CHECK_DATE                       DATE              NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)     NOT NULL,
    PERIOD_NAME                      VARCHAR2(60)  ,
    PAY_THRU_DATE                    DATE          ,
    HI_PAYMENT_PRIORITY              NUMBER(2, 0)  ,
    LOW_PAYMENT_PRIORITY             NUMBER(2, 0)  ,
    PAY_ONLY_WHEN_DUE_FLAG           VARCHAR2(4)   ,
    STATUS                           VARCHAR2(100) ,
    EXCHANGE_RATE                    NUMBER        ,
    EXCHANGE_RATE_TYPE               VARCHAR2(120) ,
    EXCHANGE_DATE                    DATE          ,
    LAST_UPDATE_LOGIN                VARCHAR2(128) ,
    CREATION_DATE                    TIMESTAMP(6)      NOT NULL,
    CREATED_BY                       VARCHAR2(256)     NOT NULL,
    ATTRIBUTE_CATEGORY               VARCHAR2(600) ,
    ATTRIBUTE1                       VARCHAR2(600) ,
    ATTRIBUTE2                       VARCHAR2(600) ,
    ATTRIBUTE3                       VARCHAR2(600) ,
    ATTRIBUTE4                       VARCHAR2(600) ,
    ATTRIBUTE5                       VARCHAR2(600) ,
    ATTRIBUTE6                       VARCHAR2(600) ,
    ATTRIBUTE7                       VARCHAR2(600) ,
    ATTRIBUTE8                       VARCHAR2(600) ,
    ATTRIBUTE9                       VARCHAR2(600) ,
    ATTRIBUTE10                      VARCHAR2(600) ,
    ATTRIBUTE11                      VARCHAR2(600) ,
    ATTRIBUTE12                      VARCHAR2(600) ,
    ATTRIBUTE13                      VARCHAR2(600) ,
    ATTRIBUTE14                      VARCHAR2(600) ,
    ATTRIBUTE15                      VARCHAR2(600) ,
    FIRST_VOUCHER_NUMBER             NUMBER(18, 0) ,
    ZERO_INVOICES_ALLOWED            VARCHAR2(4)   ,
    ORG_ID                           NUMBER(18, 0) ,
    CHECKRUN_ID                      NUMBER(18, 0) ,
    TRANSFER_PRIORITY                VARCHAR2(100) ,
    INVOICE_BATCH_ID                 NUMBER(18, 0) ,
    VENDOR_ID                        NUMBER(18, 0) ,
    PROGRAM_APPLICATION_ID           NUMBER(18, 0) ,
    PROGRAM_ID                       NUMBER(18, 0) ,
    PROGRAM_UPDATE_DATE              DATE          ,
    REQUEST_ID                       NUMBER(18, 0) ,
    CE_BANK_ACCT_USE_ID              NUMBER(18, 0) ,
    TEMPLATE_ID                      NUMBER(18, 0) ,
    PAY_FROM_DATE                    DATE          ,
    VENDOR_TYPE_LOOKUP_CODE          VARCHAR2(120) ,
    PAYMENT_PROFILE_ID               NUMBER(18, 0) ,
    INV_EXCHANGE_RATE_TYPE           VARCHAR2(120) ,
    PAYABLES_REVIEW_SETTINGS         VARCHAR2(4)   ,
    CALC_AWT_INT_FLAG                VARCHAR2(4)   ,
    PAYMENTS_REVIEW_SETTINGS         VARCHAR2(4)   ,
    DOCUMENT_REJECTION_LEVEL_CODE    VARCHAR2(120) ,
    PAYMENT_REJECTION_LEVEL_CODE     VARCHAR2(120) ,
    CREATE_INSTRS_FLAG               VARCHAR2(4)   ,
    PAY_GROUP_OPTION                 VARCHAR2(40)  ,
    CURRENCY_GROUP_OPTION            VARCHAR2(40)  ,
    LE_GROUP_OPTION                  VARCHAR2(40)  ,
    OU_GROUP_OPTION                  VARCHAR2(40)  ,
    PAYMENT_METHOD_CODE              VARCHAR2(120) ,
    BANK_CHARGE_BEARER               VARCHAR2(120) ,
    SETTLEMENT_PRIORITY              VARCHAR2(120) ,
    NEXT_VOUCHER_NUMBER              NUMBER(18, 0) ,
    PARTY_ID                         NUMBER(18, 0) ,
    PAYMENT_DOCUMENT_ID              NUMBER(18, 0) ,
    ZERO_AMOUNTS_ALLOWED             VARCHAR2(4)   ,
    BANK_ACCOUNT_ID                  NUMBER(18, 0) ,
    TEMPLATE_FLAG                    VARCHAR2(4)   ,
    OBJECT_VERSION_NUMBER            NUMBER(9, 0)      NOT NULL,
    JOB_DEFINITION_NAME              VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE           VARCHAR2(3600),
    X_CURR_RATE_TYPE                 VARCHAR2(120) ,
    FIRST_APPROVER_ID                NUMBER(18, 0) ,
    NOTIFICATION_MESSAGE_ID          NUMBER(18, 0) ,
    BIP_JOB_ID                       NUMBER(18, 0) ,
    ACCELERATED_INVOICES_CODE        VARCHAR2(120) ,
    SOURCE_GROUP_OPTION              VARCHAR2(40)  ,
    THRESHOLD_OPTION_CODE            VARCHAR2(120) ,
    THRESHOLD_AMOUNT                 NUMBER        ,
    TRANSACTION_CALENDAR_ID          NUMBER(18, 0) ,
    PAYMENT_MODE_CODE                VARCHAR2(120) ,
    PAYMENT_INSTRUMENT_ID            NUMBER(18, 0) ,
    PMT_TO_BANK_RATE_TYPE            VARCHAR2(120) ,
    CONSTRAINT pk_ap_inv_selection_criteria_all PRIMARY KEY (CHECKRUN_ID, CHECKRUN_ID)
);
